
@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@300;400;500;700&family=Tangerine:wght@400;700&display=swap');

@tailwind base;
@tailwind components;
@tailwind utilities;

html{
  scroll-behavior: smooth;
}
body{
  box-sizing: border-box;
}

.container{
  @apply relative flex flex-1 flex-col justify-center items-center h-full w-screen md:h-screen;
}

.container-inner{
  @apply flex flex-1 flex-col justify-center items-center;
}

.countdown-container{
  @apply flex justify-center items-center flex-col mx-1 shadow-xl;
}
.countdown-label{
  @apply text-center text-sm mb-1 mr-1;
}
.countdown-number{
  @apply mx-1 p-1 w-6 text-center text-gray-700 bg-gray-100 border border-gray-100 text-lg rounded-md md:rounded-xl lg:w-8 xl:w-12  md:text-xl lg:text-2xl xl:text-4xl;
}

.small-title{
  @apply  uppercase md:text-xs lg:text-xs xl:text-sm mb-2 md:mb-5 tracking-widest;
}

.date{
  @apply text-xl md:text-2xl lg:text-3xl xl:text-4xl tracking-widest font-bold text-gray-100 uppercase;
}

.main-btn{
  @apply shadow-md tracking-wider mx-5 px-5 py-2 border border-solid cursor-pointer uppercase rounded-full;
}
.main-btn-dark{
  @apply border-gray-50 text-gray-50 hover:bg-gray-50 hover:text-gray-700;
}
.main-btn-light{
  @apply border-gray-300 text-gray-700 hover:bg-gray-700 hover:text-gray-50;
}

.bridegroom{
  @apply  text-gray-700 tracking-wide font-title font-bold;
}

.bridegroom-and{
  @apply py-1 md:py-3 text-3xl md:text-4xl lg:text-5xl xl:text-6xl;
}

.bridegroom-name{
  @apply py-1 md:py-3 text-5xl md:text-6xl lg:text-7xl xl:text-8xl;
}

.container-greet{
  @apply flex flex-col md:flex-1 items-center justify-center h-screen md:h-full;
}
.greet-small{
  @apply text-gray-500 text-sm text-center md:text-lg my-2;
}
.parent-name{
  @apply text-2xl md:text-5xl text-center uppercase py-2 text-gray-700;
}
.parent-name-add{
  @apply text-xl md:text-3xl text-center uppercase py-2 text-gray-700;
}
.invitation-text{
  @apply text-gray-700 md:text-2xl my-5;
}
.invitation-text-border{
  @apply border-b-2 border-primary-dark py-1;
}
.greet-date{
  @apply py-1 text-2xl lg:text-3xl xl:text-4xl tracking-widest font-bold uppercase;
}
.greet-hijri{
  @apply py-1 text-2xl lg:text-3xl xl:text-xl tracking-widest font-bold uppercase;
}
.location-title{
  @apply text-lg md:text-xl uppercase mt-2 py-2 border-b-2 border-solid border-gray-700;
}
.location-address{
  @apply text-center text-sm md:text-lg py-2;
}
.home-greet-container{
  @apply relative px-2 md:px-0 flex flex-col md:flex-row md:h-screen w-screen font-main bg-gray-100 text-gray-700 justify-center;
}
.note-box{
  @apply invisible md:visible absolute flex flex-col text-center -bottom-16 bg-gray-100 shadow-md p-5 rounded-xl border border-gray-200;
}